import React from 'react';
import '@testing-library/jest-dom/extend-expect';
import { render } from '@testing-library/react';
import { BADGE_COLOR, BADGE_COLOR_VARIANT, BADGE_SIZE, BADGE_VARIANT, Badge } from '.';
describe('Badge', function () {
  var wrapper;
  describe('when provided with additional custom props', function () {
    beforeEach(function () {
      wrapper = render( /*#__PURE__*/React.createElement(Badge, {
        color: BADGE_COLOR.ACTION,
        colorVariant: BADGE_COLOR_VARIANT.SOLID,
        size: BADGE_SIZE.REGULAR,
        variant: BADGE_VARIANT.PILL,
        "data-arbitrary": "example"
      }, "Hello, World!"));
    });
    it('applies the props to the wrapper element', function () {
      expect(wrapper.getByTestId('badge')).toHaveAttribute('data-arbitrary', 'example');
    });
  });
});